//
//  WebViewTestVC.swift
//  kt
//
//  Created by Assylkhan Rakhatov on 31.10.16.
//  Copyright © 2016 Alexandr Zalutskiy. All rights reserved.
//

import Foundation
import UIKit
import WebKit

class WebViewTestVC: UIViewController, WKUIDelegate {
  var webView: WKWebView!
  @IBOutlet weak var webWrapperView: UIView!
  
  override func loadView() {
    super.loadView()
    let webConfiguration = WKWebViewConfiguration()
    webView = WKWebView(frame: webWrapperView.frame, configuration: webConfiguration)
    webView.UIDelegate = self
    webWrapperView = webView
  }
  
  override func viewDidLoad() {
    super.viewDidLoad()
    configureBlueNavbar()
    addBackButtonForDefault(.whiteColor())
    let myURL = NSURL(string: "https://telekomkz.ag.rentsoft.ru/2.01/iframe/action/subscribe/panda_internet_security_2012_kzt?ag_uuid=17-2261416&ag_timestamp=1477843631&ag_rnd=1993670067&ag_sign=1fdd14b652fb13f4ed64df5e01a89d28")
    let myRequest = NSURLRequest(URL: myURL!)
    webView.loadRequest(myRequest)
  }
  
}
